#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLSpriteBatch Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:11`
Module: PIXI

## Constructor

### `WebGLSpriteBatch`

(

- `gl`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:11`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods
- Properties

## Item Index

### Methods

- begin
- destroy
- end
- flush
- render
- renderTilingSprite
- setContext
- start
- stop

### Properties

- indices
- size
- vertices
- vertSize

## Methods

### `begin`

(

- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:110`

#### Parameters:

- `renderSession` RenderSession

  the RenderSession

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:464`

Destroys the SpriteBatch

### `end`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:124`

### `flush`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:372`

Renders the content and empties the current batch

### `render`

(

- `sprite`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:134`

#### Parameters:

- `sprite` Sprite

  the sprite to render when using this spritebatch

### `renderTilingSprite`

(

- `sprite`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:250`

Renders a tilingSprite using the spriteBatch

#### Parameters:

- `sprite` TilingSprite

  the tilingSprite to render

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:83`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

### `start`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:454`

### `stop`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:444`

## Properties

### `indices`

Uint16Array

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:53`

Holds the indices

### `size`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:30`

The number of images in the SpriteBatch before it flushes

### `vertices`

Float32Array

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:44`

Holds the vertices

### `vertSize`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLSpriteBatch.js:22`